Bug 165562 - OpenOffice crashes when trying to save new or old file
OpenOffice crashes when trying to save new or old file
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2005-08-10 10:30 EDT by Jan Kohout
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-15 09:44:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The .openoffice.org2.0 home directory (694.10 KB, application/octet-stream)
2005-08-15 10:04 EDT, Jan Kohout
no flags Details
List of installed RPMs and their versions (12.35 KB, text/plain)
2005-08-15 10:12 EDT, Jan Kohout
no flags Details

  None (edit)
Description Jan Kohout 2005-08-10 10:30:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686; en) Opera 8.0

Description of problem:
After upgrading to Fedora 4 from Fedora 3, OpenOffice can't save any file - both formats (version 1 
and 2), new files or opened old files.
When saving new file, the window for naming the file appears correctly.
The saving process goes through the blue "line" at the bottom, but then the system falls down.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open file
2. Making changes
3. Saving file

Additional info:

Error mesage (both in command line and a separate window):

---start copy and paste here---
0xc64b96: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1db96
0xc653e4: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e3e4
0xb7ffe420:  + 0x420 (__kernel_sigreturn + 0x0)
0x4af0a44: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x1fca44 (FilterConfigCache::
FilterConfigCache(unsigned char) + 0x8c)
0x4ad8d3f: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x1e4d3f (GraphicFilter::ImplInit() + 
0x4ad8ebf: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x1e4ebf (GraphicFilter::
GraphicFilter(unsigned char) + 0x71)
0x4ad9819: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x1e5819 (GraphicFilter::
GetGraphicFilter() + 0x3f)
0x8060939: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x18939 (desktop::Desktop::
ImplInitFilterHdl(desktop::ConvertData*) + 0xb)
0x47065a2: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x825a2
0x473ba8d: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0xb7a8d (GraphicConverter::
Export(SvStream&, Graphic const&, unsigned long) + 0x47)
0xb550550d: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x15d50d
0xb54c0eee: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x118eee (SfxObjectShell::
WriteThumbnail(unsigned char, unsigned char, unsigned char, com::sun::star::uno::Reference<com::
sun::star::io::XStream> const&) + 0x13e)
0xb54c1478: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x119478 (SfxObjectShell::
GenerateAndStoreThumbnail(unsigned char, unsigned char, unsigned char, com::sun::star::uno::
Reference<com::sun::star::embed::XStorage> const&) + 0xf2)
0xb54c745f: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x11f45f
0xb54c80f9: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1200f9
0xb54c85e5: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1205e5
0xb54cd06a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x12506a
0xb54efb71: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x147b71
0xb54f31d6: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x14b1d6 (SfxBaseModel::
storeAsURL(rtl::OUString const&, com::sun::star::uno::Sequence<com::sun::star::beans::
PropertyValue> const&) + 0xc0)
0xb55033e9: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x15b3e9
0xb54cea09: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x126a09
0xb54cff6c: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x127f6c
0xb553e0da: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1960da
0xb553d4c7: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1954c7
0xb553d7db: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1957db
0xb553d87e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x19587e
0xb543f43a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x9743a
0xb5556821: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ae821
0xb55566dc: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ae6dc
0xb5556836: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ae836
0xb55566c8: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1ae6c8
0x47065a2: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x825a2
0x485ad4f: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d6d4f
0xb7b7fe40: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ee40
0xb7ba50d7: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x440d7 (SalDisplay::
DispatchInternalEvent() + 0xad)
0xb7d8a90f: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa90f
0xb7be6650: /usr/lib/libglib-2.0.so.0 + 0x25650
0xb7be43ee: /usr/lib/libglib-2.0.so.0 + 0x233ee (g_main_context_dispatch + 0x1dc)
0xb7be73f6: /usr/lib/libglib-2.0.so.0 + 0x263f6
0xb7be78d8: /usr/lib/libglib-2.0.so.0 + 0x268d8 (g_main_context_iteration + 0x66)
0xb7d8a535: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa535
0xb7ba6da1: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x45da1 (X11SalInstance::
Yield(unsigned char) + 0x29)
0x470c91c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8891c (Application::Yield() + 0x50)
0x470c95a: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8895a (Application::Execute() + 
0x8065670: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x1d670 (desktop::Desktop::Main() + 
0x4711d49: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8dd49 (SVMain() + 0x45)
0x8060723: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x18723 (sal_main + 0x47)
0x6b3de6: /lib/libc.so.6 + 0x14de6 (__libc_start_main + 0xc6)
0x8060659: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x18659 (Window::
RequestHelp(HelpEvent const&) + 0x31)
---end copy and paste here---
Comment 1 Caolan McNamara 2005-08-10 10:52:19 EDT
it seems strange that this has happened to you, that release has been out for
quite some time now and no such reports before. Is there anything unusual about
your system.

Can you tar cvf dotfiles.tar.gz ~/.openoffice* and attach that tarball here.
Comment 2 Caolan McNamara 2005-08-10 10:57:12 EDT
or, do you use kde ?
Comment 3 Jan Kohout 2005-08-15 10:04:25 EDT
Created attachment 117748 [details]
The .openoffice.org2.0 home directory
Comment 4 Jan Kohout 2005-08-15 10:12:15 EDT
Created attachment 117749 [details]
List of installed RPMs and their versions

Note You need to log in before you can comment on or make changes to this bug.